com.fasterxml.jackson.databind.util

## Enum NamingStrategyImpls

- java.lang.Object
- - java.lang.Enum<NamingStrategyImpls>
  - - com.fasterxml.jackson.databind.util.NamingStrategyImpls

All Implemented Interfaces:
  Serializable, Comparable<NamingStrategyImpls>

    public enum NamingStrategyImpls
    extends Enum<NamingStrategyImpls>

Container for standard naming strategy implementations, specifically used by property naming strategies (see `PropertyNamingStrategies`) and enum naming strategies (see `EnumNamingStrategies`).

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`KEBAB_CASE` beanName `->` bean-name
`LOWER_CAMEL_CASE` beanName `->` beanName
`LOWER_CASE` beanName `->` beanname
`LOWER_DOT_CASE` beanName `->` bean.name
`SNAKE_CASE` beanName `->` bean_name
`UPPER_CAMEL_CASE` beanName `->` BeanName
`UPPER_SNAKE_CASE` beanName `->` BEAN_NAME

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract String` `translate(String beanName)`
`static NamingStrategyImpls` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NamingStrategyImpls[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOWER_CAMEL_CASE

    public static final NamingStrategyImpls LOWER_CAMEL_CASE

beanName `->` beanName

#### UPPER_CAMEL_CASE

    public static final NamingStrategyImpls UPPER_CAMEL_CASE

beanName `->` BeanName

#### SNAKE_CASE

    public static final NamingStrategyImpls SNAKE_CASE

beanName `->` bean_name

#### UPPER_SNAKE_CASE

    public static final NamingStrategyImpls UPPER_SNAKE_CASE

beanName `->` BEAN_NAME

#### LOWER_CASE

    public static final NamingStrategyImpls LOWER_CASE

beanName `->` beanname

#### KEBAB_CASE

    public static final NamingStrategyImpls KEBAB_CASE

beanName `->` bean-name

#### LOWER_DOT_CASE

    public static final NamingStrategyImpls LOWER_DOT_CASE

beanName `->` bean.name

### Method Detail

#### values

    public static NamingStrategyImpls[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NamingStrategyImpls c : NamingStrategyImpls.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NamingStrategyImpls valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### translate

    public abstract String translate(String beanName)